#include "ukui-shortcut-plugin.h"

using namespace UkuiShortcut;

class WrongVersionPlugin : public UkuiShortcutPlugin
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID UKUI_SHORTCUT_PLUGIN_IFACE_IID FILE "wrong-version-plugin.json")
    Q_INTERFACES(UkuiShortcut::UkuiShortcutPlugin)

public:
    QString pluginId() override
    {
        return QStringLiteral("wrong-version-plugin");
    }

    QStringList translations() override
    {
        return {};
    }

    Shortcut *createShortcut() override
    {
        return nullptr;
    }
};

#include "wrong-version-plugin.moc"
